GNU bug report logs - #50851
28.0.50; flyspell-mode overrides context-menu-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Philip Kaludercic <philipk@HIDDEN>; dated Mon, 27 Sep 2021 15:47:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 50851 <at> debbugs.gnu.org:


Received: (at 50851) by debbugs.gnu.org; 4 Dec 2021 20:09:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 15:09:58 2021
Received: from localhost ([127.0.0.1]:55073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtbM6-0004Hp-FX
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 15:09:58 -0500
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:46747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mtbM4-0004HO-I0
 for 50851 <at> debbugs.gnu.org; Sat, 04 Dec 2021 15:09:57 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id D047BFF805;
 Sat,  4 Dec 2021 20:09:49 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Tor Kringeland <tor.a.s.kringeland@HIDDEN>
Subject: Re: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode
Organization: LINKOV.NET
References: <m2k0gl94i2.fsf@HIDDEN>
Date: Sat, 04 Dec 2021 21:54:36 +0200
In-Reply-To: <m2k0gl94i2.fsf@HIDDEN> (Tor Kringeland's message of "Fri, 03
 Dec 2021 14:56:05 +0100")
Message-ID: <86zgpgtbhb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50851
Cc: 50851 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> The problem is that requires moving two characters back.
>> It would be nicer if the flyspell context menu would be more smart,
>> and detected the misspelled word before point, ignoring whitespace.
>
> FWIW `ispell-word' does this currently.  It also ignores non-letters
> like ; and , and ".

`C-c $' (flyspell-correct-word-before-point) does the same and
ignores non-letters.  But `context-menu-function' is added
only on the overlay over the word - therefore the problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50851; Package emacs. Full text available.

Message received at 50851 <at> debbugs.gnu.org:


Received: (at 50851) by debbugs.gnu.org; 3 Dec 2021 13:56:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 03 08:56:13 2021
Received: from localhost ([127.0.0.1]:50279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mt92r-0003hY-Ci
	for submit <at> debbugs.gnu.org; Fri, 03 Dec 2021 08:56:13 -0500
Received: from mailgw201.it.ntnu.no ([129.241.56.178]:44650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tor.a.s.kringeland@HIDDEN>) id 1mt92m-0003hK-Sp
 for 50851 <at> debbugs.gnu.org; Fri, 03 Dec 2021 08:56:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=ntnu.no;
 i=@ntnu.no; q=dns/txt; s=s1-1909-ntnu; t=1638539766; h=from : to : cc
 : subject : date : message-id : mime-version : content-type : from;
 bh=1PZQ4IBM98Q+B+O6fRUysIxm0z/CnAR5aGzDZ4m+jF4=;
 b=Si90EGS9hnm7g93mHlZdXT2hNXcw1pjJ2iJG5BGV7MZj1/He3bIJ9IxRG5n0Ky44TNtz7
 6mcc0iuqPIQ45t5BQhkICmheL+k4Q6LJpmwnCVVQNgrHjQE3xdqanyW1R6Ipa7aVmQg1YPx
 ikCFR3TyzdB0YdtopZ8aoV9FCJyuQEc+9A56s2nvCba9V8RffaSbkujkyoFVicXVyqbwFz3
 2ZcowcEL3OEaezyYTo/o9YSU8FT4rUy3RYQwiuYXcL4+paC4czEsQMAQCzOxBwKjFc1DOqA
 wj8IXJdjl0i45OhyPtvtTLLESR5Nfbu9vex237+xw9hcdEfBpBs+qvrsNjpQ==
Received: from localhost (localhost [127.0.0.1])
 by mailgw201.it.ntnu.no (Postfix) with ESMTP id E7618903032;
 Fri,  3 Dec 2021 14:56:06 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mailgw201.it.ntnu.no
X-Spam-Flag: NO
X-Spam-Score: -4.59
X-Spam-Level: 
Received: from mailgw201.it.ntnu.no ([127.0.0.1])
 by localhost (mailgw201.it.ntnu.no [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 9wBuojMHopah; Fri,  3 Dec 2021 14:56:06 +0100 (CET)
Received: from localhost (unknown [91.219.215.154])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 (Authenticated sender: takringe@HIDDEN)
 by mailgw201.it.ntnu.no (Postfix) with ESMTPSA id 7A2BF90302F;
 Fri,  3 Dec 2021 14:56:06 +0100 (CET)
From: Tor Kringeland <tor.a.s.kringeland@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode
Date: Fri, 03 Dec 2021 14:56:05 +0100
Message-ID: <m2k0gl94i2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50851
Cc: 50851 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> The problem is that requires moving two characters back.
> It would be nicer if the flyspell context menu would be more smart,
> and detected the misspelled word before point, ignoring whitespace.

FWIW `ispell-word' does this currently.  It also ignores non-letters
like ; and , and ".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50851; Package emacs. Full text available.

Message received at 50851 <at> debbugs.gnu.org:


Received: (at 50851) by debbugs.gnu.org; 2 Dec 2021 17:58:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 12:58:14 2021
Received: from localhost ([127.0.0.1]:49183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msqLV-00037E-V2
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 12:58:14 -0500
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:39351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1msqLR-00036m-T7
 for 50851 <at> debbugs.gnu.org; Thu, 02 Dec 2021 12:58:10 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 960B4C000C;
 Thu,  2 Dec 2021 17:58:02 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode
Organization: LINKOV.NET
References: <87fstqxbrm.fsf@HIDDEN> <877df0le34.fsf@HIDDEN>
 <87bl4cv5gk.fsf@HIDDEN>
Date: Thu, 02 Dec 2021 19:49:47 +0200
In-Reply-To: <87bl4cv5gk.fsf@HIDDEN> (Philip Kaludercic's message of "Tue, 
 28 Sep 2021 19:57:15 +0000")
Message-ID: <867dcm28xw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50851
Cc: 50851 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> When clicking on a misspelled word while context-menu-mode is active,
>>> I'd expect the context menu to appear, but it seems like flyspell
>>> prevents this.
>>
>> It was a bug caused by recent changes that is fixed now.
>
> What should have fixed this? I just rebuilt the master branch and it
> still seems to open the wrong menu.

Maybe it was another bug that was fixed.

>>> Asides from preventing this inconsistency, it seems like it would be
>>> better to integrate flyspell into context-menu, to suggest corrections.
>>
>> Adapting flyspell.el to context-menu is a welcome change that requires
>> refactoring `flyspell-correct-word' and related functions to return
>> a keymap menu where every menu item is bound to a lambda that calls
>> `flyspell-do-correct' with an argument that is a correct word.

After using this more, I found a quite convenient way to use this:
type a misspelled word and the SPC character that highlights the word.
Then move two characters back, so the cursor is over the last character
of the misspelled word.  Then type S-F10 and select the right word
from the context menu.

The problem is that requires moving two characters back.
It would be nicer if the flyspell context menu would be more smart,
and detected the misspelled word before point, ignoring whitespace.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50851; Package emacs. Full text available.

Message received at 50851 <at> debbugs.gnu.org:


Received: (at 50851) by debbugs.gnu.org; 28 Sep 2021 19:57:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 15:57:29 2021
Received: from localhost ([127.0.0.1]:47106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVJEH-0006vE-40
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 15:57:29 -0400
Received: from mout02.posteo.de ([185.67.36.66]:60807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1mVJEC-0006us-EO
 for 50851 <at> debbugs.gnu.org; Tue, 28 Sep 2021 15:57:25 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id E3D57240106
 for <50851 <at> debbugs.gnu.org>; Tue, 28 Sep 2021 21:57:17 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1632859037; bh=puiev/ISTnMSOGZV8tMtPzuE6Z5/lwQ0iXOTQVBlvI0=;
 h=From:To:Cc:Subject:Autocrypt:Date:From;
 b=O9l61/jhGqDMRi2qUV1aW9H/2PkvXCfiyhuT10LZo6KDzwRjlHjT9WGlqt8iODtrF
 DegLm7EIe68fHX08fdZnHUVcecya5b9EOGbGcmEd3cU87ylSksCGPQeRwYMdrn5PvL
 KWcGDkUFQJuphUj1QHKtMYPxz5aSk8eY4H/rvd+U72oFVxjN5bmZ+c8CFtydU17rkJ
 Vfxf+AmHTm8c9OZJezrOj8NXxU6717EJo26faFD1mTNY1RVA0wAsRTL9g14sqej2HJ
 gr76U+7Br4mrdMoD68uU+SFtqcTeCF4MA/78SHC7V6QcDqYTK7Awz8/MIlbGNZ0TiK
 V+BJGtXgA3Qmw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HJqzJ5q9lz9rxF;
 Tue, 28 Sep 2021 21:57:16 +0200 (CEST)
From: Philip Kaludercic <philipk@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode
References: <87fstqxbrm.fsf@HIDDEN> <877df0le34.fsf@HIDDEN>
Autocrypt: addr=philipk@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEYHHqUhYJKwYBBAHaRw8BAQdAp3GdmYJ6tm5McweY6dEvIYIiry+Oz9rU4MH6NHWK0Ee0QlBo
 aWxpcCBLYWx1ZGVyY2ljIChnZW5lcmF0ZWQgYnkgYXV0b2NyeXB0LmVsKSA8cGhpbGlwa0Bwb3N0
 ZW8ubmV0PoiQBBMWCAA4FiEEDM2H44ZoPt9Ms0eHtVrAHPRh1FwFAmBx6lICGwMFCwkIBwIGFQoJ
 CAsCBBYCAwECHgECF4AACgkQtVrAHPRh1FyTkgEAjlbGPxFchvMbxzAES3r8QLuZgCxeAXunM9gh
 io0ePtUBALVhh9G6wIoZhl0gUCbQpoN/UJHI08Gm1qDob5zDxnIHuDgEYHHqUhIKKwYBBAGXVQEF
 AQEHQNcRB+MUimTMqoxxMMUERpOR+Q4b1KgncDZkhrO2ql1tAwEIB4h4BBgWCAAgFiEEDM2H44Zo
 Pt9Ms0eHtVrAHPRh1FwFAmBx6lICGwwACgkQtVrAHPRh1Fw1JwD/Qo7kvtib8jy7puyWrSv0MeTS
 g8qIxgoRWJE/KKdkCLEA/jb9b9/g8nnX+UcwHf/4VfKsjExlnND3FrBviXUW6NcB
Date: Tue, 28 Sep 2021 19:57:15 +0000
In-Reply-To: <877df0le34.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 28 Sep 2021 22:01:03 +0300")
Message-ID: <87bl4cv5gk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50851
Cc: 50851 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>> When clicking on a misspelled word while context-menu-mode is active,
>> I'd expect the context menu to appear, but it seems like flyspell
>> prevents this.
>
> It was a bug caused by recent changes that is fixed now.

What should have fixed this? I just rebuilt the master branch and it
still seems to open the wrong menu.

>> Asides from preventing this inconsistency, it seems like it would be
>> better to integrate flyspell into context-menu, to suggest corrections.
>
> Adapting flyspell.el to context-menu is a welcome change that requires
> refactoring `flyspell-correct-word' and related functions to return
> a keymap menu where every menu item is bound to a lambda that calls
> `flyspell-do-correct' with an argument that is a correct word.

-- 
	Philip Kaludercic




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50851; Package emacs. Full text available.

Message received at 50851 <at> debbugs.gnu.org:


Received: (at 50851) by debbugs.gnu.org; 28 Sep 2021 19:04:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 28 15:04:47 2021
Received: from localhost ([127.0.0.1]:47001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVIPH-0005YF-JK
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 15:04:47 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:37753)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mVIP7-0005XT-FJ
 for 50851 <at> debbugs.gnu.org; Tue, 28 Sep 2021 15:04:38 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id A22C4C0002;
 Tue, 28 Sep 2021 19:04:30 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#50851: 28.0.50; flyspell-mode overrides context-menu-mode
Organization: LINKOV.NET
References: <87fstqxbrm.fsf@HIDDEN>
Date: Tue, 28 Sep 2021 22:01:03 +0300
In-Reply-To: <87fstqxbrm.fsf@HIDDEN> (Philip Kaludercic's message of "Mon, 
 27 Sep 2021 15:45:49 +0000")
Message-ID: <877df0le34.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50851
Cc: 50851 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> When clicking on a misspelled word while context-menu-mode is active,
> I'd expect the context menu to appear, but it seems like flyspell
> prevents this.

It was a bug caused by recent changes that is fixed now.

> Asides from preventing this inconsistency, it seems like it would be
> better to integrate flyspell into context-menu, to suggest corrections.

Adapting flyspell.el to context-menu is a welcome change that requires
refactoring `flyspell-correct-word' and related functions to return
a keymap menu where every menu item is bound to a lambda that calls
`flyspell-do-correct' with an argument that is a correct word.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50851; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Sep 2021 15:46:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 27 11:46:19 2021
Received: from localhost ([127.0.0.1]:42564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUspf-000444-CX
	for submit <at> debbugs.gnu.org; Mon, 27 Sep 2021 11:46:19 -0400
Received: from lists.gnu.org ([209.51.188.17]:40030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1mUspP-00040t-Gr
 for submit <at> debbugs.gnu.org; Mon, 27 Sep 2021 11:46:04 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33058)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <philipk@HIDDEN>)
 id 1mUspN-0007jw-LD
 for bug-gnu-emacs@HIDDEN; Mon, 27 Sep 2021 11:46:03 -0400
Received: from mout01.posteo.de ([185.67.36.65]:46721)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <philipk@HIDDEN>)
 id 1mUspH-0006kB-SJ
 for bug-gnu-emacs@HIDDEN; Mon, 27 Sep 2021 11:46:01 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 6A7F0240027
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 Sep 2021 17:45:52 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1632757552; bh=ziIqfsvYYee/HG2GK7Wq8iwKeRcrmBk3KRwC6Q6o1kU=;
 h=From:To:Subject:Autocrypt:Date:From;
 b=r+pfFmfleQImxequgJGAqKiGBd1LtVZlgQbqoZca7rYFaXisYCtanlVEy1i6uOfmF
 NBZcbomX0wlAy5tba+0o07MC5pEkCVOHBdIyt9kZLi1Ael24VV/YunrN90gLkIURNy
 xtOQwF5OXxI/rfa1l1U+huFY4w/8sI7gzGpmAym9HBmLWpoHCnyQj3Ygk10zwAMbGk
 i2/gVbcnbOjXeCYPI+FqBFbEnyDeIvNQ5EGBAXgA5fhjHZNHh6pUWuUtZYfdbmOXot
 w0S2eEi3bTJfl197ixyQuwDvGQ9ScWOq1Fb/Su/wtFJatLmk+1DvXGioIBJ3OxMOgw
 5nI8nDuzqhtvg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HJ6Rg3dnRz9rxL
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 Sep 2021 17:45:50 +0200 (CEST)
From: Philip Kaludercic <philipk@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; flyspell-mode overrides context-menu-mode
Autocrypt: addr=philipk@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEYHHqUhYJKwYBBAHaRw8BAQdAp3GdmYJ6tm5McweY6dEvIYIiry+Oz9rU4MH6NHWK0Ee0QlBo
 aWxpcCBLYWx1ZGVyY2ljIChnZW5lcmF0ZWQgYnkgYXV0b2NyeXB0LmVsKSA8cGhpbGlwa0Bwb3N0
 ZW8ubmV0PoiQBBMWCAA4FiEEDM2H44ZoPt9Ms0eHtVrAHPRh1FwFAmBx6lICGwMFCwkIBwIGFQoJ
 CAsCBBYCAwECHgECF4AACgkQtVrAHPRh1FyTkgEAjlbGPxFchvMbxzAES3r8QLuZgCxeAXunM9gh
 io0ePtUBALVhh9G6wIoZhl0gUCbQpoN/UJHI08Gm1qDob5zDxnIHuDgEYHHqUhIKKwYBBAGXVQEF
 AQEHQNcRB+MUimTMqoxxMMUERpOR+Q4b1KgncDZkhrO2ql1tAwEIB4h4BBgWCAAgFiEEDM2H44Zo
 Pt9Ms0eHtVrAHPRh1FwFAmBx6lICGwwACgkQtVrAHPRh1Fw1JwD/Qo7kvtib8jy7puyWrSv0MeTS
 g8qIxgoRWJE/KKdkCLEA/jb9b9/g8nnX+UcwHf/4VfKsjExlnND3FrBviXUW6NcB
Date: Mon, 27 Sep 2021 15:45:49 +0000
Message-ID: <87fstqxbrm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=185.67.36.65; envelope-from=philipk@HIDDEN;
 helo=mout01.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


When clicking on a misspelled word while context-menu-mode is active,
I'd expect the context menu to appear, but it seems like flyspell
prevents this.

Asides from preventing this inconsistency, it seems like it would be
better to integrate flyspell into context-menu, to suggest corrections.


In GNU Emacs 28.0.50 (build 15, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw scroll bars)
 of 2021-09-26 built on icterid
Repository revision: 68994995db26343a43aa8a526629127279f83278
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure LDFLAGS=-flto 'CFLAGS=-O2 -march=native -mtune=native -pipe'
 --with-native-compilation PKG_CONFIG_PATH='

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP
NOTIFY INOTIFY PDUMPER PNG SECCOMP SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM LUCID ZLIB

Important settings:
  value of $EMACSLOADPATH: 
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Org

Minor modes in effect:
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  shell-dirtrack-mode: t
  rcirc-track-minor-mode: t
  flyspell-mode: t
  display-time-mode: t
  winner-mode: t
  windmove-mode: t
  electric-pair-mode: t
  recentf-mode: t
  save-place-mode: t
  savehist-mode: t
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tab-bar-mode: t
  file-name-shadow-mode: t
  context-menu-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  line-number-mode: t
  auto-fill-function: org-auto-fill-function
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/philip/.config/emacs/elpa/transient-0.3.6/transient hides /home/philip/Code/src/emacs/lisp/transient
~/.config/emacs/site-lisp/autoload hides /home/philip/Code/src/emacs/lisp/emacs-lisp/autoload

Features:
(shadow emacsbug goto-addr ffap skeleton raku-mode raku-repl raku-imenu
raku-indent smie raku-font-lock raku-detect tar-mode arc-mode
archive-mode cus-edit cus-start finder-inf em-unix em-term em-script
em-prompt em-ls em-hist em-pred em-glob em-cmpl em-dirs esh-var em-basic
em-banner em-alias esh-mode follow org-element avl-tree generator ol-eww
eww xdg url-queue mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect
gnus-search ol-docview doc-view jka-compr image-mode exif ol-bibtex
bibtex ol-bbdb ol-w3m org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete org-list
org-faces org-entities org-version ob-emacs-lisp ob-core ob-eval
org-table ol org-keys org-compat advice org-macs org-loaddefs
magit-extras face-remap magit-submodule magit-obsolete magit-blame
magit-stash magit-reflog magit-bisect magit-push magit-pull magit-fetch
magit-clone magit-remote magit-commit magit-sequence magit-notes
magit-worktree magit-tag magit-merge magit-branch magit-reset
magit-files magit-refs magit-status magit magit-repos magit-apply
magit-wip magit-log which-func imenu magit-diff smerge-mode git-commit
log-edit add-log magit-core magit-autorevert autorevert filenotify
magit-margin magit-transient magit-process with-editor term ehelp eshell
esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg esh-module esh-groups
esh-util server magit-mode transient format-spec magit-git magit-section
magit-utils dash bug-reference mailalias bbdb-pgp bbdb-message
autocrypt-message mm-archive dired-aux vc-dir ewoc shell pcomplete qp
mule-util sort smiley gnus-cite mail-extr gnus-async gnus-bcklg gnus-ml
autocrypt-gnus autocrypt nndraft nnmh nnmaildir nnfolder bbdb-gnus
bbdb-mua bbdb-com crm nnnil gnus-agent gnus-srvr gnus-score score-mode
nnvirtual gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime dig
nntp gnus-cache gnus-sum shr kinsoku svg dom gnus-group gnus-undo
gnus-start gnus-dbus dbus xml gnus-cloud nnimap nnmail mail-source utf7
netrc nnoo gnus-spec gnus-int gnus-range message rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mailabbrev gmm-utils mailheader gnus-win
eieio-opt speedbar ezimage dframe shortdoc find-dired vc-mtn vc-hg
vc-git diff-mode vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs time-stamp
char-fold misearch multi-isearch pulse color find-func xref macrostep pp
help-at-pt vc-backup log-view pcvs-util diff vc-fossil vc vc-dispatcher
disp-table gnutls network-stream puny nsm rmc epa-file epa rcirc
parse-time iso8601 noutline outline corfu checkdoc flymake-proc flymake
project thingatpt flyspell ispell comp comp-cstr warnings cl-extra
gnus-dired dired-x dired dired-loaddefs time bbdb derived bbdb-site
timezone sendmail gnus nnheader gnus-util rmail rmail-loaddefs time-date
mail-utils hippie-exp winner windmove elec-pair recentf tree-widget
wid-edit saveplace savehist paren modus-operandi-theme modus-themes
pcase edmacro kmacro holidays hol-loaddefs cal-menu calendar
cal-loaddefs cus-load setup load epg rfc6068 epg-config rx compile
text-property-search comint ansi-color easy-mmode autoload lisp-mnt
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr
tex-site geiser-impl help-fns radix-tree help-mode geiser-custom
geiser-base ring slime-autoloads info package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
x-toolkit x multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 825884 569126)
 (symbols 48 40391 76)
 (strings 32 161395 91534)
 (string-bytes 1 5247016)
 (vectors 16 82765)
 (vector-slots 8 2093264 640030)
 (floats 8 711 1834)
 (intervals 56 20496 16259)
 (buffers 992 59))

-- 
	Philip K.




Acknowledgement sent to Philip Kaludercic <philipk@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50851; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 Dec 2021 20:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.